// anonymous union seems to be broken with XML output (but is OK with HTML):
struct test_struct_a {
	union {
		struct {
			float x,y,z;
		};
		float v[3];
	};
};

// anonymous union seems to be broken with XML output (but is OK with HTML):
class test_class_a {
	union {
		struct {
			float x,y,z;
		};
		float v[3];
	};
};

// this one is OK since it has named union:
struct test_struct_b {
	union struct_union_b {
		struct {
			float x,y,z;
		};
		float v[3];
	};
};

// this one is OK since it has named union:
class test_class_b {
	union class_union_b {
		struct {
			float x,y,z;
		};
		float v[3];
	};
};
